﻿using Microsoft.AspNetCore.Components;
using Microsoft.Extensions.Configuration.UserSecrets;
using WF_WebAdmin.Model;



namespace WF_WebAdmin.Pages
{
    public partial class Login
    {
        private UserLogin userLogin = new UserLogin();

        private string ErrorConnexion;

        private List<UserLogin> usersConnexion;
        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            usersConnexion = await Http.GetFromJsonAsync<List<UserLogin>>($"{NavigationManager.BaseUri}fake-dataUsers.json");
        }


        public void validlogin()
        {
            if (!string.IsNullOrEmpty(userLogin.Name) || !string.IsNullOrEmpty(userLogin.Mdp))
            {
                foreach (var user in usersConnexion)
                {
                    if(userLogin.Name == user.Name && userLogin.Mdp == user.Mdp)
                    {
                        if(user.IsAdmin)
                        {
                            ErrorConnexion = $"Connecté en tant que {user.Name} (Ca doit disparaitre dans le futur)";
                            uLogin.Id = user.Id;
                            break;
                        }
                        else
                        {
                            ErrorConnexion = "Connexion échouée, le nom ou le mot de passe sont incorrectes";
                        }

                    }
                    else
                    {
                        ErrorConnexion = "Connexion échouée, le nom ou le mot de passe sont incorrectes";
                    }
                }
                
            }
                
        }
    }
}